# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.cursor_page_suggestion_read import CursorPageSuggestionRead

class TestCursorPageSuggestionRead(unittest.TestCase):
    """CursorPageSuggestionRead unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> CursorPageSuggestionRead:
        """Test CursorPageSuggestionRead
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `CursorPageSuggestionRead`
        """
        model = CursorPageSuggestionRead()
        if include_optional:
            return CursorPageSuggestionRead(
                items = [
                    magneto_api_client.models.suggestion_read.SuggestionRead(
                        id = 'e', 
                        title = '0', 
                        description = '', 
                        origin_type = 'automation', 
                        origin_id = '', 
                        source_type = 'entity', 
                        source_id = '', 
                        source_context = magneto_api_client.models.sourcecontext.Sourcecontext(), 
                        target_type = 'entity', 
                        target_id = '', 
                        target_context = magneto_api_client.models.targetcontext.Targetcontext(), 
                        target_id_override = '', 
                        data = magneto_api_client.models.data.Data(), 
                        ignored = True, 
                        auto_apply = True, 
                        last_applied_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                        created_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                        created_by = 56, 
                        updated_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                        updated_by = 56, 
                        additional_info = magneto_api_client.models.additionalinfo.Additionalinfo(), )
                    ],
                total = 56,
                current_page = '',
                current_page_backwards = '',
                previous_page = '',
                next_page = ''
            )
        else:
            return CursorPageSuggestionRead(
                items = [
                    magneto_api_client.models.suggestion_read.SuggestionRead(
                        id = 'e', 
                        title = '0', 
                        description = '', 
                        origin_type = 'automation', 
                        origin_id = '', 
                        source_type = 'entity', 
                        source_id = '', 
                        source_context = magneto_api_client.models.sourcecontext.Sourcecontext(), 
                        target_type = 'entity', 
                        target_id = '', 
                        target_context = magneto_api_client.models.targetcontext.Targetcontext(), 
                        target_id_override = '', 
                        data = magneto_api_client.models.data.Data(), 
                        ignored = True, 
                        auto_apply = True, 
                        last_applied_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                        created_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                        created_by = 56, 
                        updated_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                        updated_by = 56, 
                        additional_info = magneto_api_client.models.additionalinfo.Additionalinfo(), )
                    ],
        )
        """

    def testCursorPageSuggestionRead(self):
        """Test CursorPageSuggestionRead"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
